python-cinderclient (1:9.6.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 29 Aug 2024 16:04:29 +0200

python-cinderclient (1:9.5.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 04 Apr 2024 08:11:04 +0200

python-cinderclient (1:9.5.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Mar 2024 21:10:59 +0100

python-cinderclient (1:9.4.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2023 14:32:11 +0200

python-cinderclient (1:9.4.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 Sep 2023 11:36:19 +0200

python-cinderclient (1:9.3.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1047694).

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Aug 2023 13:57:17 +0200

python-cinderclient (1:9.3.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 11:55:32 +0200

python-cinderclient (1:9.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed versions of (build-)depends when satisfied in Bookworm.
  * Removed patches applied upstream:
    - py3.11-fix_argparse_related_test_failures.patch
    - py3.11_fix_crashes_in_ShellTest.patch

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Feb 2023 13:52:36 +0100

python-cinderclient (1:9.1.0-3) unstable; urgency=medium

  * Fix python 3.11 related unit test crashes (Closes: #1025028):
    - add py3.11-fix_argparse_related_test_failures.patch
    - add py3.11_fix_crashes_in_ShellTest.patch

 -- Thomas Goirand <zigo@debian.org>  Mon, 12 Dec 2022 09:26:51 +0100

python-cinderclient (1:9.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 14:08:30 +0200

python-cinderclient (1:9.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 31 Aug 2022 13:25:09 +0200

python-cinderclient (1:8.3.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Mar 2022 10:08:58 +0100

python-cinderclient (1:8.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Feb 2022 15:34:22 +0100

python-cinderclient (1:8.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 24 Sep 2021 11:37:22 +0200

python-cinderclient (1:8.1.0-1) experimental; urgency=medium

  [ Sakirnth Nagarasa ]
  * New upstream release.
  * Added myself in copyright and uploaders.

 -- Thomas Goirand <zigo@debian.org>  Mon, 06 Sep 2021 09:19:46 +0200

python-cinderclient (1:8.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Sep 2021 10:29:02 +0200

python-cinderclient (1:7.4.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 10:19:50 +0200

python-cinderclient (1:7.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Debhelper 11.

 -- Thomas Goirand <zigo@debian.org>  Mon, 15 Mar 2021 21:00:29 +0100

python-cinderclient (1:7.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 09 Mar 2021 10:09:25 +0100

python-cinderclient (1:7.2.0-3) unstable; urgency=medium

  * Fixed installation of the bash-completion cinder script.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2020 10:55:24 +0200

python-cinderclient (1:7.2.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2020 10:48:35 +0200

python-cinderclient (1:7.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 17 Sep 2020 12:03:23 +0200

python-cinderclient (1:7.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-babel from (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Thu, 10 Sep 2020 13:20:24 +0200

python-cinderclient (1:7.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 22:52:38 +0200

python-cinderclient (1:7.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 09 Apr 2020 20:59:23 +0200

python-cinderclient (1:5.0.1-1) unstable; urgency=medium

  * New upstream point release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 26 Mar 2020 12:37:12 +0100

python-cinderclient (1:5.0.0-3) unstable; urgency=medium

  * Switched autopkgtest to Python 3 (Closes: #943177).

 -- Thomas Goirand <zigo@debian.org>  Wed, 23 Oct 2019 11:51:42 +0200

python-cinderclient (1:5.0.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 01:10:04 +0200

python-cinderclient (1:5.0.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed skip-tests.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Sep 2019 13:14:21 +0200

python-cinderclient (1:4.1.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Jul 2019 04:46:36 +0200

python-cinderclient (1:4.1.0-2) experimental; urgency=medium

  * Fixed postinst not installing alternatives.

 -- Thomas Goirand <zigo@debian.org>  Fri, 22 Mar 2019 12:23:22 +0100

python-cinderclient (1:4.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed Python 2 support.
  * Run unit tests with installed module.

 -- Thomas Goirand <zigo@debian.org>  Fri, 22 Mar 2019 11:58:05 +0100

python-cinderclient (1:4.0.1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Imported skip-tests.patch from Ubuntu.

 -- Thomas Goirand <zigo@debian.org>  Mon, 20 Aug 2018 17:53:42 +0200

python-cinderclient (1:3.5.0-3) unstable; urgency=medium

  * Python 3 client now has priority over Python 2 client.

 -- Thomas Goirand <zigo@debian.org>  Sun, 11 Mar 2018 12:52:49 +0100

python-cinderclient (1:3.5.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/watch: Use https protocol

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2018 21:47:27 +0000

python-cinderclient (1:3.5.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version is now 4.1.3.

 -- Thomas Goirand <zigo@debian.org>  Mon, 12 Feb 2018 08:27:06 +0000

python-cinderclient (1:3.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Nov 2017 23:48:29 +0000

python-cinderclient (1:3.1.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Running wrap-and-sort -bast.
  * Updating maintainer field.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Correcting permissions in debian packaging files.
  * Updating standards version to 4.0.1.
  * Prefixing all debhelper files.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using pkgos-dh_auto_{install,test}.

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Oct 2017 12:31:38 +0200

python-cinderclient (1:1.6.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Apr 2016 12:46:34 +0000

python-cinderclient (1:1.6.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version: 3.9.7 (no change).

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Mar 2016 11:35:45 +0100

python-cinderclient (1:1.5.0-1) experimental; urgency=medium

  [ David Della Vecchia ]
  * New upstream release.
    - d/control: Align requirements with upstream.

  [ Corey Bryant ]
  * d/rules: Run tests for all py3 versions.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 08 Jan 2016 13:01:19 -0500

python-cinderclient (1:1.4.0-4) unstable; urgency=medium

  * override_dh_python3 to fix Py3 shebang.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Oct 2015 22:28:14 +0000

python-cinderclient (1:1.4.0-3) unstable; urgency=medium

  * Uploading to unstable.
  * Do not run unit tests with Python 3.5 as it's broken.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2015 21:37:17 +0000

python-cinderclient (1:1.4.0-2) experimental; urgency=medium

  * Unit test failures are now failing the build.

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Sep 2015 08:42:45 +0000

python-cinderclient (1:1.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Sep 2015 08:37:03 +0000

python-cinderclient (1:1.3.1-2) experimental; urgency=medium

  * New upstream release.
  * Fixed build-depends versions for this release.
  * Allow unit test to fail (see:
    https://bugs.launchpad.net/python-cinderclient/+bug/1479560).

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Jul 2015 23:08:13 +0000

python-cinderclient (1:1.2.2-1) experimental; urgency=medium

  [ Corey Bryant ]
  * New upstream release.
    - d/control: Align requirements with upstream.
    - d/gbp.conf: Update gbp configuration for liberty branch.
  * Converge Ubuntu and Debian package:
    - d/tests/*: Add DEP 8 tests from Ubuntu.
    - d/rules: Fail the build if tests fail.

  [ Thomas Goirand ]
  * Added Python3 support.
  * Swiched to using testr directly when running tests.
  * Moved bash completion to /usr.
  * Added Corey Bryant <corey.bryant@canonical.com> as Uploaders.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 08 Jun 2015 10:40:39 -0400

python-cinderclient (1:1.1.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 27 Apr 2015 19:18:58 +0000

python-cinderclient (1:1.1.1-1) experimental; urgency=medium

  * New upstream release.
  * Uploading to experimental just right before Jessie freeze.
  * Updated (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 30 Sep 2014 14:50:23 +0800

python-cinderclient (1:1.0.8-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 18 Apr 2014 06:36:30 +0000

python-cinderclient (1:1.0.8-1) experimental; urgency=low

  * New upstream release.
  * Standards-Version: is now 3.9.5.
  * New (build-)depends for this release.
  * Disabled useless dh targets.

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Apr 2014 00:46:18 +0800

python-cinderclient (1:1.0.6-2) unstable; urgency=low

  * Added missing build-depends: python-babel.

 -- Thomas Goirand <zigo@debian.org>  Mon, 07 Oct 2013 07:20:30 +0000

python-cinderclient (1:1.0.6-1) unstable; urgency=low

  * New upstream release.
  * Fixed new (build-)depends for this release.
  * Bumped Standard-Version: to 3.9.4.

 -- Thomas Goirand <zigo@debian.org>  Tue, 01 Oct 2013 15:19:25 +0800

python-cinderclient (1:1.0.5-2) unstable; urgency=low

  * Added missing python-requests (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Wed, 11 Sep 2013 16:54:23 +0800

python-cinderclient (1:1.0.5-1) unstable; urgency=low

  * New upstream release.
  * Ran wrap-and-sort.
  * Now build-depends python-pbr (>= 0.5.20), testrepository.
  * Unit tests are now using testrepository.
  * Added (build-)depends: python-six.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 May 2013 13:42:32 +0800

python-cinderclient (1:1.0.4-2) unstable; urgency=low

  * Added missing build-dependencies: python-setputools-git and python-subunit.

 -- Thomas Goirand <zigo@debian.org>  Fri, 17 May 2013 17:39:51 +0000

python-cinderclient (1:1.0.4-1) unstable; urgency=low

  * Uploading to unstable.
  * New upstream release.
  * Added export OSLO_PACKAGE_VERSION=$(VERSION) in debian/rules.
  * Fixed the launch of unit tests.

 -- Thomas Goirand <zigo@debian.org>  Mon, 13 May 2013 09:53:36 +0000

python-cinderclient (1:1.0.2-1) experimental; urgency=low

  * New upstream release.
  * Removes all old patches which aren't needed anymore.

 -- Thomas Goirand <zigo@debian.org>  Sat, 23 Feb 2013 02:36:05 +0800

python-cinderclient (1:0.2-1) experimental; urgency=low

  * First debian release (Closes: #687518)

 -- Thomas Goirand <zigo@debian.org>  Sat, 02 Feb 2013 13:43:12 +0000
